summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--net-analyzer/wireshark/wireshark-3.2.4.ebuild4
-rw-r--r--net-analyzer/wireshark/wireshark-99999999.ebuild4
2 files changed, 6 insertions, 2 deletions
diff --git a/net-analyzer/wireshark/wireshark-3.2.4.ebuild b/net-analyzer/wireshark/wireshark-3.2.4.ebuild
index e5c132a7e21..f6f0080e664 100644
--- a/net-analyzer/wireshark/wireshark-3.2.4.ebuild
+++ b/net-analyzer/wireshark/wireshark-3.2.4.ebuild
@@ -226,7 +226,9 @@ src_install() {
done
fi
- rm -r "${D}"/usr/share/appdata || die
+ if [[ -d "${D}"/usr/share/appdata ]]; then
+ rm -r "${D}"/usr/share/appdata || die
+ fi
}
pkg_postinst() {
diff --git a/net-analyzer/wireshark/wireshark-99999999.ebuild b/net-analyzer/wireshark/wireshark-99999999.ebuild
index 8014ce38110..a358f4abf6e 100644
--- a/net-analyzer/wireshark/wireshark-99999999.ebuild
+++ b/net-analyzer/wireshark/wireshark-99999999.ebuild
@@ -220,7 +220,9 @@ src_install() {
done
fi
- rm -r "${D}"/usr/share/appdata || die
+ if [[ -d "${D}"/usr/share/appdata ]]; then
+ rm -r "${D}"/usr/share/appdata || die
+ fi
}
pkg_postinst() {